Summary:	Plasma 5 CLI (command line interface) tools
Name:		kde-cli-tools
Version:	5.7.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{name}-%{version}.tar.xz
Source10:	%{name}.rpmlintrc
Patch0:		kde-cli-tools-5.2.1-rename-translations.patch
Patch1:		kde-cli-tools-5.2.1-no-docs.patch
# Likely other applocations need this too
Patch2:		kde-cli-tools-5.2.1-translate-kdesu.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5config-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5su-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xext)
Requires:	kinit

%description
Plasma 5 CLI (command line interface) tools (kcmshell, kdesu etc).

%files -f %{name}.lang
%{_kde5_bindir}/kcmshell5
%{_kde5_bindir}/kde-open5
%{_kde5_bindir}/kdecp5
%{_kde5_bindir}/kdemv5
%{_kde5_bindir}/kdesu5
%{_kde5_bindir}/keditfiletype5
%{_kde5_bindir}/kioclient5
%{_kde5_bindir}/kmimetypefinder5
%{_kde5_bindir}/kstart5
%{_kde5_bindir}/ksvgtopng5
%{_kde5_bindir}/ktraderclient5
%{_kde5_libdir}/libkdeinit5_kcmshell5.so
%{_kde5_libexecdir}/kf5/kdeeject
%{_kde5_libexecdir}/kf5/kdesu
%{_qt5_plugindir}/kcm_filetypes.so
%{_kde5_services}/filetypes.desktop

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

for oldlang in po/*/*.po
do
    newlang=`echo $oldlang | sed s,\.po,5\.po,g`
    mv $oldlang $newlang
done

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

pushd %{buildroot}%{_kde5_bindir}
ln -s %{_kde5_libexecdir}/kf5/kdesu kdesu5
popd

%find_lang %{name} --all-name


%changelog

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (302ca13) New version 5.7.2


